FruxonDocs
AgentsExecution

Executes an agent using its currently deployed revision.

Runs the agent synchronously and returns the complete result.

API-Only Endpoint

This endpoint is available via API only and requires authentication using the X-API-KEY header. Fill in your parameters below and the code samples will update automatically. To generate an API key, see the Settings guide.

Python SDK Available

You can also call this endpoint using the Fruxon Python SDK. Install with pip install fruxon and use FruxonClient.execute() for a simpler integration.

POST
/v1/tenants/{tenant}/agents/{agent}:execute

Authorization

X-API-KEY
X-API-KEY<token>

API key for agent execution endpoints. Generate one from the Fruxon settings.

In: header

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

The execution parameters and inputs.

parameters?|null
attachments?|null
chatUser?
sessionId?string|null
environmentSlug?string|null
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string:execute" \  -H "Content-Type: application/json" \  -d '{}'
{
  "response": "string",
  "trace": {
    "agentId": "string",
    "agentRevision": 0,
    "createdAt": 0,
    "parameters": {},
    "startTime": 0,
    "endTime": 0,
    "duration": 0,
    "traces": [
      {
        "id": "string",
        "displayName": "string",
        "type": "Unknown",
        "llmStepTrace": null,
        "toolTrace": null,
        "steps": [],
        "result": null,
        "startTime": 0,
        "endTime": 0,
        "duration": 0
      }
    ],
    "result": {
      "strValue": "string",
      "jsonValue": null,
      "fileLink": "string"
    },
    "inputCost": 0,
    "outputCost": 0,
    "totalCost": 0
  },
  "sessionId": "string",
  "links": [
    {
      "fileId": "string",
      "fileType": "string",
      "isVectorized": false,
      "promptLink": "<string:string/>"
    }
  ],
  "executionRecordId": "00000000-0000-0000-0000-000000000000"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}